from setuptools import setup, find_packages

setup(
    name='wall_ml_prediction',
    version='1.0.1',
    author='Carlos Angarita',
    author_email='carlosantr@unisabana.edu.co',
    packages=find_packages(),
    include_package_data=True,  # Permite incluir datos adicionales (pkl, etc.)
    description='This library presents available functions to use Artificial Neural Netwroks (ANN) and Random Forest (RF) trained models to make predictions of the maximum roof acceleration (PFA_max) and the maximum roof drift ratio (rDR_max) in reinforced concrete wall buildings.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    install_requires=[
        'matplotlib>=3.9.1',  # Any version of matplotlib
        'numpy>=1.26.4',  # Any version of numpy
        'joblib>=1.4.2',
        'scikit-learn==1.2.1',
        'tensorflow==2.17.0',
        'keras>=3.4.1',
        'pandas>=2.2.2'
    ],
    python_requires='>=3.9', # Adjust based on your compatibility
    url='https://github.com/carlosantr/Wall_ML_Prediction',
    license='Apache-2.0', # If you have a license file
)